aboutsummaryrefslogtreecommitdiff
path: root/lt-qcom-debian-images-dragonboard820c.yaml
diff options
context:
space:
mode:
authorAníbal Limón <anibal.limon@linaro.org>2017-11-22 16:49:16 -0600
committerNicolas Dechesne <nicolas.dechesne@linaro.org>2017-11-23 21:57:43 +0000
commit43cb2fab4ae52914ac6ef38a12cb597e883bb0ff (patch)
tree7760c5043f4511eff1c269264ea7a9c3736dd803 /lt-qcom-debian-images-dragonboard820c.yaml
parent3c91818207e46a0c8d554008ce8977caef13c6a6 (diff)
lt-qcom-debian-images: Add publishers.sh and postbuild.groovy
In order to reuse code across lt-qcom debian images, - The publishers.sh has the logic to publish into builds.96boards.org, a new parameter PUB_DEST was add. - The postbuild.groovy script has the logic to set the build location at end, also uses the PUB_DEST parameter. Change-Id: Ie9f6219f31a7cdf5622874ee0ab070534b543ce5 Signed-off-by: Aníbal Limón <anibal.limon@linaro.org>
Diffstat (limited to 'lt-qcom-debian-images-dragonboard820c.yaml')
-rw-r--r--lt-qcom-debian-images-dragonboard820c.yaml40
1 files changed, 7 insertions, 33 deletions
diff --git a/lt-qcom-debian-images-dragonboard820c.yaml b/lt-qcom-debian-images-dragonboard820c.yaml
index 91fdf50b..840621ca 100644
--- a/lt-qcom-debian-images-dragonboard820c.yaml
+++ b/lt-qcom-debian-images-dragonboard820c.yaml
@@ -42,6 +42,9 @@
- string:
name: BOOTIMG_PAGESIZE
default: '4096'
+ - string:
+ name: PUB_DEST
+ default: "snapshots/dragonboard820c/${VENDOR}/debian/${BUILD_NUMBER}"
disabled: false
node: docker-stretch-arm64
display-name: 'Qualcomm Debian based images for Snapdragon 820'
@@ -64,41 +67,12 @@
!include-raw: lt-qcom-debian-images/builders-fai.sh
- linaro-publish-token:
host: builds.96boards.org
- - shell: |
- #!/bin/bash
- set -ex
- trap cleanup_exit INT TERM EXIT
- cleanup_exit()
- {
- # cleanup here, only in case of error in this script
- # normal cleanup deferred to later
- [ $? = 0 ] && exit;
- sudo git clean -fdxq
- }
-
- # Create MD5SUMS file
- (cd out && md5sum * > MD5SUMS.txt)
-
- wget -q ${BUILD_URL}consoleText -O out/build-log-${JOB_NAME}-${BUILD_NUMBER}.txt
-
- # Publish to snapshots
- test -d ${HOME}/bin || mkdir ${HOME}/bin
- wget https://git.linaro.org/ci/publishing-api.git/blob_plain/HEAD:/linaro-cp.py -O ${HOME}/bin/linaro-cp.py
- time python ${HOME}/bin/linaro-cp.py \
- --server ${PUBLISH_SERVER} \
- --link-latest \
- out snapshots/dragonboard820c/${VENDOR}/debian/${BUILD_NUMBER}
+ - shell:
+ !include-raw: lt-qcom-debian-images/publishers.sh
publishers:
- groovy-postbuild:
- script: |
- def build_number = manager.build.number
- def vendor = manager.build.buildVariables.get('VENDOR')
- def url = "http://builds.96boards.org/snapshots/dragonboard820c/${vendor}/debian/${build_number}/"
- def desc = "&nbsp;<a href='${url}'>Build location<t/a>"
-
- if (manager.build.result == hudson.model.Result.SUCCESS) {
- manager.build.setDescription(desc)
- }
+ script:
+ !include-raw: lt-qcom-debian-images/postbuild.groovy
- email:
recipients: 'fathi.boudra@linaro.org'
- email-ext: